DRAFT -> PENDING_VETTING in one call. Resolves the enterprise by path parameter ID. Generates + signs the LOA PDF, uploads it to Telnyx, creates the carrier enterprise record, and enables Number Reputation.
POST
/
v1
/
caller-trust
/
enterprises
/
{id}
/
sign-and-submit
Sign LOA + submit enterprise to carrier (by ID)
curl --request POST \ --url https://api.lumisreach.com/api/v1/caller-trust/enterprises/{id}/sign-and-submit \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "signer_full_name": "<string>", "signer_email": "jsmith@example.com", "signer_title": "<string>", "consent_acknowledged_at": "2023-11-07T05:31:56Z", "confirm_carrier_commit": "I understand this submits to the carrier"}'
import requests
url = "https://api.lumisreach.com/api/v1/caller-trust/enterprises/{id}/sign-and-submit"
payload = {
"signer_full_name": "<string>",
"signer_email": "jsmith@example.com",
"signer_title": "<string>",
"consent_acknowledged_at": "2023-11-07T05:31:56Z",
"confirm_carrier_commit": "I understand this submits to the carrier"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"LumisReach","colors":{"primary":"#111827","light":"#d6d6d6","dark":"#111827"},"favicon":"https://mintcdn.com/lumis-labs/buUUrJV81nyLaiDT/favicon.png?fit=max\u0026auto=format\u0026n=buUUrJV81nyLaiDT\u0026q=85\u0026s=56327232f3ec8c84959027c8e5ec7585","api":{},"navbar":{"links":[{"href":"mailto:founders@lumisreach.com","label":"Contact Support"}],"primary":{"type":"button","label":"Get Started","href":"https://app.lumisreach.com"}},"footer":{"socials":{"x":"https://x.com/lumisreach","linkedin":"https://linkedin.com/company/lumisreach"}},"styling":{"latex":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"lumis-labs","hasAudioNarration":false,"actualSubdomain":"lumis-labs","customDomains":["docs.lumisreach.com"],"gitSource":{"type":"github","owner":"lumisai","repo":"reach","deployBranch":"prod","contentDirectory":"apps/docs","isPrivate":true,"mountPath":"","label":""},"chroma":{"latestBuiltDeploymentHistoryId":"6adea2b7d2e4fef472e13e68","collectionId":"eca0cc7d-bc50-4ca2-a8b5-813f12d07cd3","liveDeploymentHistoryId":"6adea2b7d2e4fef472e13e68","schemaVersion":"v3"},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6adf10b8e705fd92bf1618b2","clientVersion":"0.0.3966","searchFilterCounts":[{"language":"default","tag":"API Reference","count":131},{"language":"default","tag":"Solutions","count":37},{"language":"default","tag":"Get Started","count":31},{"language":"default","tag":"Integrations","count":20},{"language":"default","tag":"Quick Agent Actions","count":14},{"language":"default","tag":"Videos","count":13},{"language":"default","tag":"Use Cases","count":10},{"language":"default","tag":"Calls, Texts and Contacts","count":9},{"language":"default","tag":"Concepts","count":9},{"language":"default","tag":"Enterprise Registration","count":9}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-v7-file-tree","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-nav-generations","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-agent-model-picker","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"isAtlas":false,"googleFontsInlined":false},"customCss":[{"filePath":"global.css","content":"sidebar-group:has(sidebar-group-header .sidebar-group-tag),sidebar-group:has(sidebar-group-header .tag),sidebar-group:has(sidebar-group-header [data-tag]){opacity:.45}"}],"page":{"pagePath":"api-reference/enterprise-registration/sign-loa-+-submit-enterprise-to-carrier-by-id","slug":"/api-reference/enterprise-registration/sign-loa-+-submit-enterprise-to-carrier-by-id","pageMetadata":{"title":"Sign LOA + submit enterprise to carrier (by ID)","description":"DRAFT -> PENDING_VETTING in one call. Resolves the enterprise by path parameter ID. Generates + signs the LOA PDF, uploads it to Telnyx, creates the carrier enterprise record, and enables Number Reputation.","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/caller-trust/enterprises/{id}/sign-and-submit","href":"/api-reference/enterprise-registration/sign-loa-+-submit-enterprise-to-carrier-by-id","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"DRAFT -> PENDING_VETTING in one call. Resolves the enterprise by path parameter ID. Generates + signs the LOA PDF, uploads it to Telnyx, creates the carrier enterprise record, and enables Number Reputation.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Sign LOA + submit enterprise to carrier (by ID)","description":"DRAFT -> PENDING_VETTING in one call. Resolves the enterprise by path parameter ID. Generates + signs the LOA PDF, uploads it to Telnyx, creates the carrier enterprise record, and enables Number Reputation.","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/caller-trust/enterprises/{id}/sign-and-submit","href":"/api-reference/enterprise-registration/sign-loa-+-submit-enterprise-to-carrier-by-id","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/lumis-labs/b06234118c1a31ee/scripts/autofill-auth.js"],"openApiReferenceData":{"operation":{"operationId":"v1_caller_trust_enterprises_id_sign_and_submit_post","tags":["Enterprise Registration"],"summary":"Sign LOA + submit enterprise to carrier (by ID)","description":"DRAFT -> PENDING_VETTING in one call. Resolves the enterprise by path parameter ID. Generates + signs the LOA PDF, uploads it to Telnyx, creates the carrier enterprise record, and enables Number Reputation.","parameters":["65661b7b-c1f5-4c23-b548-aff0c06cde8b","52371940-e6ad-451f-bf69-93a1c57d4d1c"],"requestBody":"39f0402e-e495-4e96-88b4-c2f4d1882e69","responses":{"200":"0f173579-815f-4798-a6b9-00bcb88c7a87","400":"58aa0673-4ea8-44fa-ba81-3b9a685e5195","401":"df23f4b1-bd95-47ad-a4fa-dcc9063ea295","403":"dec473fd-1419-408e-ae7c-f2e4eca3db29","404":"8e85e077-3b60-41e9-803f-db7dff532c4f","409":"944993a4-f4aa-4368-bfc4-24eaa839ed47","429":"2da96c9d-5231-42a5-8565-7660a3606cf9"},"x-scopes":["caller_trust:write"],"x-rate-limit":{"requestsPerMinute":600},"method":"post","type":"path","servers":["df591d4d-c8e1-4eba-92a8-faaa93b9f582"],"security":["222fd83d-e8ff-4cf7-8ed5-7555b45c7677"],"path":"/v1/caller-trust/enterprises/{id}/sign-and-submit","baseUrlOptions":["https://api.lumisreach.com/api"],"title":"Sign LOA + submit enterprise to carrier (by ID)","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"65661b7b-c1f5-4c23-b548-aff0c06cde8b":{"name":"id","in":"path","required":true,"schema":{"type":"string","isRequired":true,"uniqueKey":"","typeLabel":"string"}},"52371940-e6ad-451f-bf69-93a1c57d4d1c":{"name":"Idempotency-Key","in":"header","required":false,"description":"A UUID. When present, deduplicates repeat submissions. See /api-reference/idempotency.","schema":{"type":"string","isRequired":false,"description":"A UUID. When present, deduplicates repeat submissions. See /api-reference/idempotency.","uniqueKey":"","typeLabel":"string"}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"$schema":"http://json-schema.org/draft-07/schema#","type":"object","properties":{"signer_full_name":{"type":"string","minLength":2,"maxLength":255,"isRequired":true,"uniqueKey":"signer_full_name","typeLabel":"string"},"signer_email":{"type":"string","format":"email","pattern":"^(?:[A-Za-z0-9_'+\\-]+\\.)*[A-Za-z0-9_'+\\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$","isRequired":true,"uniqueKey":"signer_email","typeLabel":"string\u003cemail>"},"signer_title":{"type":"string","minLength":1,"maxLength":255,"isRequired":true,"uniqueKey":"signer_title","typeLabel":"string"},"consent_acknowledged_at":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$","isRequired":true,"uniqueKey":"consent_acknowledged_at","typeLabel":"string\u003cdate-time>"},"confirm_carrier_commit":{"type":"string","const":"I understand this submits to the carrier","isRequired":true,"uniqueKey":"confirm_carrier_commit","typeLabel":"string"}},"required":["signer_full_name","signer_email","signer_title","consent_acknowledged_at","confirm_carrier_commit"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"signer_full_name":"\u003cstring>","signer_email":"jsmith@example.com","signer_title":"\u003cstring>","consent_acknowledged_at":"2023-11-07T05:31:56Z","confirm_carrier_commit":"I understand this submits to the carrier"}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"0f173579-815f-4798-a6b9-00bcb88c7a87":{"description":"Success","content":{"application/json":{"schema":{"$schema":"http://json-schema.org/draft-07/schema#","type":"object","properties":{"data":{"type":"object","properties":{"id":{"type":"string","isRequired":true,"uniqueKey":"data.id","typeLabel":"string"},"telnyx_enterprise_id":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"data.telnyx_enterprise_id.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"data.telnyx_enterprise_id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.telnyx_enterprise_id","typeLabel":"string | null"},"legal_name":{"type":"string","isRequired":true,"uniqueKey":"data.legal_name","typeLabel":"string"},"dba":{"type":"string","isRequired":true,"uniqueKey":"data.dba","typeLabel":"string"},"status":{"type":"string","isRequired":true,"uniqueKey":"data.status","typeLabel":"string"},"rejection_reasons":{"type":"array","items":{"type":"string","uniqueKey":"data.rejection_reasons.items.[INDEX]","typeLabel":"string"},"isRequired":true,"uniqueKey":"data.rejection_reasons","typeLabel":"string[]"},"synced_at":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"data.synced_at.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"data.synced_at.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.synced_at","typeLabel":"string | null"},"loa_document_id":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"data.loa_document_id.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"data.loa_document_id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.loa_document_id","typeLabel":"string | null"},"reputation":{"oneOf":[{"type":"object","required":["status","check_frequency","rejection_reasons","last_synced_at"],"properties":{"status":{"type":"string","isRequired":true,"uniqueKey":"data.reputation.oneOf.0.status","typeLabel":"string"},"check_frequency":{"type":"string","isRequired":true,"uniqueKey":"data.reputation.oneOf.0.check_frequency","typeLabel":"string"},"rejection_reasons":{"type":"array","items":{"type":"string","uniqueKey":"data.reputation.oneOf.0.rejection_reasons.items.[INDEX]","typeLabel":"string"},"isRequired":true,"uniqueKey":"data.reputation.oneOf.0.rejection_reasons","typeLabel":"string[]"},"last_synced_at":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"data.reputation.oneOf.0.last_synced_at.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"data.reputation.oneOf.0.last_synced_at.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.reputation.oneOf.0.last_synced_at","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"data.reputation.oneOf.0","typeLabel":"object"},{"type":"null","isRequired":true,"uniqueKey":"data.reputation.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.reputation","typeLabel":"object | null"}},"required":["id","telnyx_enterprise_id","legal_name","dba","status","rejection_reasons","synced_at","loa_document_id","reputation"],"additionalProperties":false,"isRequired":true,"uniqueKey":"data","typeLabel":"object"}},"required":["data"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"data":{"id":"\u003cstring>","telnyx_enterprise_id":"\u003cstring>","legal_name":"\u003cstring>","dba":"\u003cstring>","status":"\u003cstring>","rejection_reasons":["\u003cstring>"],"synced_at":"\u003cstring>","loa_document_id":"\u003cstring>","reputation":{"status":"\u003cstring>","check_frequency":"\u003cstring>","rejection_reasons":["\u003cstring>"],"last_synced_at":"\u003cstring>"}}}}},"exampleType":"generated"}},"exampleType":"generated"},"58aa0673-4ea8-44fa-ba81-3b9a685e5195":{"description":"Validation error","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","isRequired":true,"uniqueKey":"error.code","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"fields":{"type":"object","additionalProperties":{"type":"string","uniqueKey":"error.fields.additionalProperties","typeLabel":"string"},"uniqueKey":"error.fields","typeLabel":"object"},"doc_url":{"type":"string","format":"uri","uniqueKey":"error.doc_url","typeLabel":"string\u003curi>"}},"uniqueKey":"error","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"code":"\u003cstring>","message":"\u003cstring>","fields":{},"doc_url":"\u003cstring>"}}}},"exampleType":"generated"}},"exampleType":"generated"},"df23f4b1-bd95-47ad-a4fa-dcc9063ea295":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","isRequired":true,"uniqueKey":"error.code","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"fields":{"type":"object","additionalProperties":{"type":"string","uniqueKey":"error.fields.additionalProperties","typeLabel":"string"},"uniqueKey":"error.fields","typeLabel":"object"},"doc_url":{"type":"string","format":"uri","uniqueKey":"error.doc_url","typeLabel":"string\u003curi>"}},"uniqueKey":"error","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"code":"\u003cstring>","message":"\u003cstring>","fields":{},"doc_url":"\u003cstring>"}}}},"exampleType":"generated"}},"exampleType":"generated"},"dec473fd-1419-408e-ae7c-f2e4eca3db29":{"description":"Forbidden","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","isRequired":true,"uniqueKey":"error.code","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"fields":{"type":"object","additionalProperties":{"type":"string","uniqueKey":"error.fields.additionalProperties","typeLabel":"string"},"uniqueKey":"error.fields","typeLabel":"object"},"doc_url":{"type":"string","format":"uri","uniqueKey":"error.doc_url","typeLabel":"string\u003curi>"}},"uniqueKey":"error","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"code":"\u003cstring>","message":"\u003cstring>","fields":{},"doc_url":"\u003cstring>"}}}},"exampleType":"generated"}},"exampleType":"generated"},"8e85e077-3b60-41e9-803f-db7dff532c4f":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","isRequired":true,"uniqueKey":"error.code","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"fields":{"type":"object","additionalProperties":{"type":"string","uniqueKey":"error.fields.additionalProperties","typeLabel":"string"},"uniqueKey":"error.fields","typeLabel":"object"},"doc_url":{"type":"string","format":"uri","uniqueKey":"error.doc_url","typeLabel":"string\u003curi>"}},"uniqueKey":"error","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"code":"\u003cstring>","message":"\u003cstring>","fields":{},"doc_url":"\u003cstring>"}}}},"exampleType":"generated"}},"exampleType":"generated"},"944993a4-f4aa-4368-bfc4-24eaa839ed47":{"description":"Conflict (incl. idempotency conflicts)","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","isRequired":true,"uniqueKey":"error.code","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"fields":{"type":"object","additionalProperties":{"type":"string","uniqueKey":"error.fields.additionalProperties","typeLabel":"string"},"uniqueKey":"error.fields","typeLabel":"object"},"doc_url":{"type":"string","format":"uri","uniqueKey":"error.doc_url","typeLabel":"string\u003curi>"}},"uniqueKey":"error","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"code":"\u003cstring>","message":"\u003cstring>","fields":{},"doc_url":"\u003cstring>"}}}},"exampleType":"generated"}},"exampleType":"generated"},"2da96c9d-5231-42a5-8565-7660a3606cf9":{"description":"Rate limited","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","isRequired":true,"uniqueKey":"error.code","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"fields":{"type":"object","additionalProperties":{"type":"string","uniqueKey":"error.fields.additionalProperties","typeLabel":"string"},"uniqueKey":"error.fields","typeLabel":"object"},"doc_url":{"type":"string","format":"uri","uniqueKey":"error.doc_url","typeLabel":"string\u003curi>"}},"uniqueKey":"error","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"code":"\u003cstring>","message":"\u003cstring>","fields":{},"doc_url":"\u003cstring>"}}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"222fd83d-e8ff-4cf7-8ed5-7555b45c7677":{"bearerAuth":{"type":"http","scheme":"bearer","scopes":[],"schemeName":"bearerAuth"}}},"servers":{"df591d4d-c8e1-4eba-92a8-faaa93b9f582":{"url":"https://api.lumisreach.com/api"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","scopes":[],"schemeName":"bearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"openapi.json"},"subdomain":"lumis-labs","siteName":"LumisReach","title":"Sign LOA + submit enterprise to carrier (by ID) - LumisReach","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-26T08:35:13.736Z","originalFileLocation":"api-reference/enterprise-registration/sign-loa-+-submit-enterprise-to-carrier-by-id.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"DRAFT -\u0026gt; PENDING_VETTING in one call. Resolves the enterprise by path parameter ID. Generates + signs the LOA PDF, uploads it to Telnyx, creates the carrier enterprise record, and enables Number Reputation.\">\u003cmeta data-mint-head name=\"application-name\" content=\"LumisReach\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/lumis-labs/UN69hXfwmW9E7Cph/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/lumis-labs/UN69hXfwmW9E7Cph/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/lumis-labs/UN69hXfwmW9E7Cph/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/lumis-labs/UN69hXfwmW9E7Cph/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/lumis-labs/UN69hXfwmW9E7Cph/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/lumis-labs/UN69hXfwmW9E7Cph/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/lumis-labs/UN69hXfwmW9E7Cph/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/lumis-labs/UN69hXfwmW9E7Cph/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/lumis-labs/UN69hXfwmW9E7Cph/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Sign LOA + submit enterprise to carrier (by ID) - LumisReach\">\u003cmeta data-mint-head property=\"og:description\" content=\"DRAFT -\u0026gt; PENDING_VETTING in one call. Resolves the enterprise by path parameter ID. Generates + signs the LOA PDF, uploads it to Telnyx, creates the carrier enterprise record, and enables Number Reputation.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"LumisReach\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.lumisreach.com/api-reference/enterprise-registration/sign-loa-+-submit-enterprise-to-carrier-by-id\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://lumis-labs.mintlify.app/_mintlify/api/og/v2?division=Enterprise+Registration\u0026amp;title=Sign+LOA+%2B+submit+enterprise+to+carrier+%28by+ID%29\u0026amp;description=DRAFT+-%3E+PENDING_VETTING+in+one+call.+Resolves+the+enterprise+by+path+parameter+ID.+Generates+%2B+signs+the+LOA+PDF%2C+uploads+it+to+Telnyx%2C+creates+the+carrier+ent\u0026amp;theme=650d8e3bed5a44f3ca42822e\u0026amp;signature=ed03fbde5a4ea28a33d706d5c40b4ebb5c57599e50e4ad1303a3a876c8a246aa\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Sign LOA + submit enterprise to carrier (by ID) - LumisReach\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"DRAFT -\u0026gt; PENDING_VETTING in one call. Resolves the enterprise by path parameter ID. Generates + signs the LOA PDF, uploads it to Telnyx, creates the carrier enterprise record, and enables Number Reputation.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://lumis-labs.mintlify.app/_mintlify/api/og/v2?division=Enterprise+Registration\u0026amp;title=Sign+LOA+%2B+submit+enterprise+to+carrier+%28by+ID%29\u0026amp;description=DRAFT+-%3E+PENDING_VETTING+in+one+call.+Resolves+the+enterprise+by+path+parameter+ID.+Generates+%2B+signs+the+LOA+PDF%2C+uploads+it+to+Telnyx%2C+creates+the+carrier+ent\u0026amp;theme=650d8e3bed5a44f3ca42822e\u0026amp;signature=ed03fbde5a4ea28a33d706d5c40b4ebb5c57599e50e4ad1303a3a876c8a246aa\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/lumis-labs/UN69hXfwmW9E7Cph/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"LumisReach\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#111827\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.lumisreach.com/api-reference/enterprise-registration/sign-loa-+-submit-enterprise-to-carrier-by-id\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/enterprise-registration/sign-loa-%2B-submit-enterprise-to-carrier-by-id.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.lumisreach.com/#organization\",\"name\":\"LumisReach\",\"url\":\"https://docs.lumisreach.com\"},{\"@type\":\"WebSite\",\"@id\":\"https://docs.lumisreach.com#website\",\"name\":\"LumisReach\",\"url\":\"https://docs.lumisreach.com\",\"publisher\":{\"@id\":\"https://docs.lumisreach.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.lumisreach.com/api-reference/enterprise-registration/sign-loa-+-submit-enterprise-to-carrier-by-id#webpage\",\"url\":\"https://docs.lumisreach.com/api-reference/enterprise-registration/sign-loa-+-submit-enterprise-to-carrier-by-id\",\"name\":\"Sign LOA + submit enterprise to carrier (by ID)\",\"description\":\"DRAFT -> PENDING_VETTING in one call. Resolves the enterprise by path parameter ID. Generates + signs the LOA PDF, uploads it to Telnyx, creates the carrier enterprise record, and enables Number Reputation.\",\"dateModified\":\"2026-10-26T08:35:13.736Z\",\"isPartOf\":{\"@id\":\"https://docs.lumisreach.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.lumisreach.com/api-reference/enterprise-registration/sign-loa-+-submit-enterprise-to-carrier-by-id#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.lumisreach.com/api-reference/enterprise-registration/sign-loa-+-submit-enterprise-to-carrier-by-id#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Enterprise Registration\",\"item\":\"https://docs.lumisreach.com/api-reference/enterprise-registration/list-enterprise-registrations\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Sign LOA + submit enterprise to carrier (by ID)\",\"item\":\"https://docs.lumisreach.com/api-reference/enterprise-registration/sign-loa-+-submit-enterprise-to-carrier-by-id\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.lumisreach.com/api-reference/enterprise-registration/sign-loa-+-submit-enterprise-to-carrier-by-id#apireference\",\"headline\":\"Sign LOA + submit enterprise to carrier (by ID)\",\"name\":\"Sign LOA + submit enterprise to carrier (by ID)\",\"description\":\"DRAFT -> PENDING_VETTING in one call. Resolves the enterprise by path parameter ID. Generates + signs the LOA PDF, uploads it to Telnyx, creates the carrier enterprise record, and enables Number Reputation.\",\"url\":\"https://docs.lumisreach.com/api-reference/enterprise-registration/sign-loa-+-submit-enterprise-to-carrier-by-id\",\"mainEntityOfPage\":{\"@id\":\"https://docs.lumisreach.com/api-reference/enterprise-registration/sign-loa-+-submit-enterprise-to-carrier-by-id#webpage\"},\"dateModified\":\"2026-10-26T08:35:13.736Z\",\"publisher\":{\"@id\":\"https://docs.lumisreach.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.lumisreach.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"LumisReach\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"LumisReach","nav":{"global":null,"tabs":[{"tab":"Get Started","pages":[{"title":"Get Started","href":""}]},{"tab":"Solutions","pages":[{"title":"Solutions","href":"/solutions"}]},{"tab":"Policies","pages":[{"title":"Policies","href":"/policies/privacy-policy"}]},{"tab":"Partners","pages":[{"title":"Partners","href":"/partners"}]},{"tab":"API Reference","groups":[{"group":"Getting Started","pages":[{"title":"Introduction","href":"/api-reference"},{"title":"Authentication","href":"/api-reference/authentication"},{"title":"Conventions","href":"/api-reference/conventions"},{"title":"MCP server","href":"/api-reference/mcp"}]},{"group":"Concepts","pages":[{"title":"Caller Trust","href":"/concepts/caller-trust"},{"title":"Sub-entities (multi-tenant organizations)","href":"/concepts/sub-entities"},{"title":"HIPAA \u0026 BAA coverage","href":"/concepts/hipaa"},{"title":"Outreach audit \u0026 consent records","sidebarTitle":"Outreach Audit","href":"/concepts/outreach-audit"}]},{"group":"Quick Agent Actions","pages":[{"title":"Quick Agent Actions","href":"/api-reference/quick-agent-actions"},{"title":"Start a Quick AI Phone Call","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/quick/ai-calls","href":"/api-reference/quick-agent-actions/start-a-quick-ai-phone-call"},{"title":"Start a Quick AI Text conversation","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/quick/ai-texts","href":"/api-reference/quick-agent-actions/start-a-quick-ai-text-conversation"},{"title":"Send a single text message","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/quick/texts","href":"/api-reference/quick-agent-actions/send-a-single-text-message"},{"title":"Send a Quick Email","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/quick/emails","href":"/api-reference/quick-agent-actions/send-a-quick-email"},{"title":"Send a Quick iMessage","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/quick/imessages","href":"/api-reference/quick-agent-actions/send-a-quick-imessage"},{"title":"Send a quick chat message","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/quick/chat-messages","href":"/api-reference/quick-agent-actions/send-a-quick-chat-message"},{"title":"List connected chat channels","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/quick/chat-channels","href":"/api-reference/quick-agent-actions/list-connected-chat-channels"},{"title":"Connect a chat channel","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/quick/chat-channels","href":"/api-reference/quick-agent-actions/connect-a-chat-channel"},{"title":"List Quick Agent Action jobs","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/quick/actions","href":"/api-reference/quick-agent-actions/list-quick-agent-action-jobs"},{"title":"Get a Quick Agent Action job","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/quick/actions/{id}","href":"/api-reference/quick-agent-actions/get-a-quick-agent-action-job"},{"title":"Cancel a Quick Agent Action job","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/quick/actions/{id}/cancel","href":"/api-reference/quick-agent-actions/cancel-a-quick-agent-action-job"},{"title":"Buy a phone number and set up its AI agent","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/quick/ai-numbers","href":"/api-reference/quick-agent-actions/buy-a-phone-number-and-set-up-its-ai-agent"},{"title":"Get AI phone number status","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/quick/ai-numbers/{id}","href":"/api-reference/quick-agent-actions/get-ai-phone-number-status"}]},{"group":"Lincoln AI","pages":[{"title":"Lincoln AI","href":"/api-reference/lincoln"},{"title":"Message Lincoln AI","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/lincoln/messages","href":"/api-reference/lincoln-ai/message-lincoln-ai"},{"title":"List Lincoln AI conversations","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/lincoln/conversations","href":"/api-reference/lincoln-ai/list-lincoln-ai-conversations"},{"title":"Get a Lincoln AI conversation","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/lincoln/conversations/{id}","href":"/api-reference/lincoln-ai/get-a-lincoln-ai-conversation"}]},{"group":"Videos","pages":[{"title":"Videos","href":"/api-reference/videos"},{"title":"Quote a video","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/videos/quote","href":"/api-reference/videos/quote-a-video"},{"title":"Create a video","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/videos","href":"/api-reference/videos/create-a-video"},{"title":"List videos","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/videos","href":"/api-reference/videos/list-videos"},{"title":"Get a video","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/videos/{id}","href":"/api-reference/videos/get-a-video"},{"title":"Approve a video's script","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/videos/{id}/approve","href":"/api-reference/videos/approve-a-videos-script"},{"title":"Retry a video","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/videos/{id}/retry","href":"/api-reference/videos/retry-a-video"},{"title":"Delete a video","deprecated":null,"version":null,"openapi":"/openapi.json delete /v1/videos/{id}","href":"/api-reference/videos/delete-a-video"},{"title":"List music tracks","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/videos/music","href":"/api-reference/videos/list-music-tracks"},{"title":"List social connections","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/social-connections","href":"/api-reference/videos/list-social-connections"},{"title":"Post a video","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/videos/{id}/posts","href":"/api-reference/videos/post-a-video"},{"title":"List a video's posts","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/videos/{id}/posts","href":"/api-reference/videos/list-a-videos-posts"},{"title":"Cancel a scheduled post","deprecated":null,"version":null,"openapi":"/openapi.json delete /v1/posts/{id}","href":"/api-reference/videos/cancel-a-scheduled-post"}]},{"group":"Video Schedules","pages":[{"title":"Video schedules","href":"/api-reference/video-schedules"},{"title":"List video schedules","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/video-schedules","href":"/api-reference/video-schedules/list-video-schedules"},{"title":"Create a video schedule","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/video-schedules","href":"/api-reference/video-schedules/create-a-video-schedule"},{"title":"Get a video schedule","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/video-schedules/{id}","href":"/api-reference/video-schedules/get-a-video-schedule"},{"title":"Update a video schedule","deprecated":null,"version":null,"openapi":"/openapi.json patch /v1/video-schedules/{id}","href":"/api-reference/video-schedules/update-a-video-schedule"},{"title":"Delete a video schedule","deprecated":null,"version":null,"openapi":"/openapi.json delete /v1/video-schedules/{id}","href":"/api-reference/video-schedules/delete-a-video-schedule"},{"title":"Skip the next run","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/video-schedules/{id}/skip","href":"/api-reference/video-schedules/skip-the-next-run"},{"title":"List a schedule's videos","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/video-schedules/{id}/videos","href":"/api-reference/video-schedules/list-a-schedules-videos"}]},{"group":"Calls, Texts and Contacts","pages":[{"title":"Calls, texts and contacts","href":"/api-reference/conversations"},{"title":"List calls","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/calls","href":"/api-reference/calls/list-calls"},{"title":"Get a call","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/calls/{id}","href":"/api-reference/calls/get-a-call"},{"title":"Download a call recording","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/calls/{id}/recording","href":"/api-reference/calls/download-a-call-recording"},{"title":"Place an outbound call from one of your numbers to a destination","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/calls/dial","href":"/api-reference/calls/place-an-outbound-call-from-one-of-your-numbers-to-a-destination"},{"title":"List text messages","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/messages","href":"/api-reference/messages/list-text-messages"},{"title":"List emails with a person","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/emails","href":"/api-reference/emails/list-emails-with-a-person"},{"title":"List contacts","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/contacts","href":"/api-reference/contacts/list-contacts"},{"title":"Get a contact","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/contacts/{id}","href":"/api-reference/contacts/get-a-contact"}]},{"group":"Account","pages":[{"title":"Current authenticated principal","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/me","href":"/api-reference/account/current-authenticated-principal"},{"title":"Current account snapshot","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/account","href":"/api-reference/account/current-account-snapshot"},{"title":"API status","deprecated":null,"version":null,"openapi":"/openapi.json get /v1","href":"/api-reference/account/api-status"}]},{"group":"Sub-entities","pages":[{"title":"List sub-entities under the caller's umbrella organization","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/sub-entities","href":"/api-reference/sub-entities/list-sub-entities-under-the-callers-umbrella-organization"},{"title":"Create a sub-entity under the caller's umbrella organization","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/sub-entities","href":"/api-reference/sub-entities/create-a-sub-entity-under-the-callers-umbrella-organization"},{"title":"Retrieve a sub-entity","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/sub-entities/{id}","href":"/api-reference/sub-entities/retrieve-a-sub-entity"},{"title":"Update a sub-entity","deprecated":null,"version":null,"openapi":"/openapi.json patch /v1/sub-entities/{id}","href":"/api-reference/sub-entities/update-a-sub-entity"}]},{"group":"Billing","pages":[{"title":"Billing summary","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/billing","href":"/api-reference/billing/billing-summary"},{"title":"Usage and charges by category","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/billing/usage","href":"/api-reference/billing/usage-and-charges-by-category"},{"title":"List billing events","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/billing/events","href":"/api-reference/billing/list-billing-events"}]},{"group":"Phone Numbers","pages":[{"title":"List owned phone numbers","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/phone-numbers","href":"/api-reference/phone-numbers/list-owned-phone-numbers"},{"title":"Purchase a new phone number","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/phone-numbers","href":"/api-reference/phone-numbers/purchase-a-new-phone-number"},{"title":"Retrieve a phone number","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/phone-numbers/{id}","href":"/api-reference/phone-numbers/retrieve-a-phone-number"},{"title":"Update a phone number's settings","deprecated":null,"version":null,"openapi":"/openapi.json patch /v1/phone-numbers/{id}","href":"/api-reference/phone-numbers/update-a-phone-numbers-settings"},{"title":"Release a phone number","deprecated":null,"version":null,"openapi":"/openapi.json delete /v1/phone-numbers/{id}","href":"/api-reference/phone-numbers/release-a-phone-number"},{"title":"Check live CNAM status","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/phone-numbers/{id}/cnam-status","href":"/api-reference/phone-numbers/check-live-cnam-status"},{"title":"Search available phone numbers","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/phone-numbers/search","href":"/api-reference/phone-numbers/search-available-phone-numbers"}]},{"group":"Number Configuration","pages":[{"title":"Number configuration","href":"/api-reference/number-configuration"},{"title":"Get a number's AI configuration","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/phone-numbers/{id}/config","href":"/api-reference/phone-numbers/get-a-numbers-ai-configuration"},{"title":"Update a number's AI configuration","deprecated":null,"version":null,"openapi":"/openapi.json patch /v1/phone-numbers/{id}/config","href":"/api-reference/phone-numbers/update-a-numbers-ai-configuration"},{"title":"List voices for a number","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/phone-numbers/{id}/voices","href":"/api-reference/phone-numbers/list-voices-for-a-number"}]},{"group":"Caller IDs","pages":[{"title":"List caller IDs","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/voice/caller-ids","href":"/api-reference/caller-ids/list-caller-ids"},{"title":"Start caller ID verification","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/voice/caller-ids","href":"/api-reference/caller-ids/start-caller-id-verification"},{"title":"Update CNAM display name","deprecated":null,"version":null,"openapi":"/openapi.json patch /v1/voice/caller-ids/{id}","href":"/api-reference/caller-ids/update-cnam-display-name"},{"title":"Submit verification code","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/voice/caller-ids/{id}/verify","href":"/api-reference/caller-ids/submit-verification-code"}]},{"group":"Enterprise Registration","pages":[{"title":"List enterprise registrations","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/caller-trust/enterprises","href":"/api-reference/enterprise-registration/list-enterprise-registrations"},{"title":"Create a new enterprise registration draft","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/caller-trust/enterprises","href":"/api-reference/enterprise-registration/create-a-new-enterprise-registration-draft"},{"title":"Get enterprise by ID","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/caller-trust/enterprises/{id}","href":"/api-reference/enterprise-registration/get-enterprise-by-id"},{"title":"Update a DRAFT enterprise registration","deprecated":null,"version":null,"openapi":"/openapi.json patch /v1/caller-trust/enterprises/{id}","href":"/api-reference/enterprise-registration/update-a-draft-enterprise-registration"},{"title":"Delete enterprise by ID","description":"Deletes a specific enterprise registration. DRAFT records that were never submitted to Telnyx are removed directly. Active records are torn down on Telnyx and marked DELETED locally.","deprecated":null,"version":null,"openapi":"/openapi.json delete /v1/caller-trust/enterprises/{id}","href":"/api-reference/enterprise-registration/delete-enterprise-by-id"},{"title":"Sign LOA + submit enterprise to carrier (by ID)","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/caller-trust/enterprises/{id}/sign-and-submit","href":"/api-reference/enterprise-registration/sign-loa-+-submit-enterprise-to-carrier-by-id"},{"title":"Submit enterprise to Telnyx (by ID)","description":"Accepts Number Reputation Terms of Service and creates the enterprise on Telnyx for the specified enterprise ID. Does NOT sign an LOA or enable reputation — those are separate steps.","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/caller-trust/enterprises/{id}/submit","href":"/api-reference/enterprise-registration/submit-enterprise-to-telnyx-by-id"},{"title":"Re-sign LOA for enterprise (by ID)","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/caller-trust/enterprises/{id}/resign","href":"/api-reference/enterprise-registration/re-sign-loa-for-enterprise-by-id"},{"title":"Generate LOA PDF for enterprise (by ID)","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/caller-trust/enterprises/{id}/generate-loa","href":"/api-reference/enterprise-registration/generate-loa-pdf-for-enterprise-by-id"}]},{"group":"Enterprise Registration (Legacy)","pages":[{"title":"Get the caller's enterprise registration (deprecated)","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/caller-trust/enterprise","href":"/api-reference/enterprise-registration/get-the-callers-enterprise-registration-deprecated"},{"title":"Create or update the caller's enterprise registration draft (deprecated)","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/caller-trust/enterprise","href":"/api-reference/enterprise-registration/create-or-update-the-callers-enterprise-registration-draft-deprecated"},{"title":"Generate LOA PDF for hand-signing (deprecated)","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/caller-trust/enterprise/generate-loa","href":"/api-reference/enterprise-registration/generate-loa-pdf-for-hand-signing-deprecated"},{"title":"Re-sign the LOA for an enterprise (deprecated)","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/caller-trust/enterprise/resign","href":"/api-reference/enterprise-registration/re-sign-the-loa-for-an-enterprise-deprecated"},{"title":"Submit enterprise to Telnyx (deprecated)","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/caller-trust/enterprise/submit","href":"/api-reference/enterprise-registration/submit-enterprise-to-telnyx-deprecated"},{"title":"Sign LOA + submit enterprise to carrier (deprecated)","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/caller-trust/enterprise/sign-and-submit","href":"/api-reference/enterprise-registration/sign-loa-+-submit-enterprise-to-carrier-deprecated"},{"title":"Delete the caller's enterprise registration (deprecated)","deprecated":null,"version":null,"openapi":"/openapi.json delete /v1/caller-trust/enterprise","href":"/api-reference/enterprise-registration/delete-the-callers-enterprise-registration-deprecated"}]},{"group":"Branded Calling","tag":"Coming Soon","pages":[{"title":"Branded Calling","href":"/api-reference/branded-calling"},{"title":"Retrieve the caller's Display Identity Record (brand)","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/caller-trust/brand","href":"/api-reference/branded-calling/retrieve-the-callers-display-identity-record-brand"},{"title":"Save (or update) the Display Identity Record draft","deprecated":null,"version":null,"openapi":"/openapi.json put /v1/caller-trust/brand","href":"/api-reference/branded-calling/save-or-update-the-display-identity-record-draft"},{"title":"Submit the brand profile for vetting","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/caller-trust/brand/submit","href":"/api-reference/branded-calling/submit-the-brand-profile-for-vetting"}]},{"group":"Dialer Calls","pages":[{"title":"Place a dialer call","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/voice/calls","href":"/api-reference/dialer-calls/place-a-dialer-call"},{"title":"List dialer calls","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/voice/calls","href":"/api-reference/dialer-calls/list-dialer-calls"},{"title":"Get a dialer call","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/voice/calls/{id}","href":"/api-reference/dialer-calls/get-a-dialer-call"},{"title":"Hang up a dialer call","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/voice/calls/{id}/hangup","href":"/api-reference/dialer-calls/hang-up-a-dialer-call"}]},{"group":"Call Webhooks","pages":[{"title":"Call webhooks","href":"/api-reference/calls/webhooks"},{"title":"Create a call webhook","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/voice/calls/webhooks","href":"/api-reference/calls/create-a-call-webhook"},{"title":"List call webhooks","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/voice/calls/webhooks","href":"/api-reference/calls/list-call-webhooks"},{"title":"Delete a call webhook","deprecated":null,"version":null,"openapi":"/openapi.json delete /v1/voice/calls/webhooks/{id}","href":"/api-reference/calls/delete-a-call-webhook"},{"title":"Send a test call event","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/voice/calls/webhooks/{id}/test","href":"/api-reference/calls/send-a-test-call-event"}]},{"group":"Inbound SMS","pages":[{"title":"Inbound SMS webhooks","href":"/api-reference/sms/webhooks"},{"title":"Create an inbound SMS webhook","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/sms/webhooks","href":"/api-reference/sms/create-an-inbound-sms-webhook"},{"title":"List inbound SMS webhooks","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/sms/webhooks","href":"/api-reference/sms/list-inbound-sms-webhooks"},{"title":"Delete an inbound SMS webhook","deprecated":null,"version":null,"openapi":"/openapi.json delete /v1/sms/webhooks/{id}","href":"/api-reference/sms/delete-an-inbound-sms-webhook"},{"title":"Send a test inbound SMS event","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/sms/webhooks/{id}/test","href":"/api-reference/sms/send-a-test-inbound-sms-event"},{"title":"Stream inbound texts","openapi":"GET /v1/sms/stream","href":"/api-reference/sms/stream"}]},{"group":"SMS","tag":"Coming Soon","pages":[{"title":"Send an SMS message","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/sms/send","href":"/api-reference/sms/send-an-sms-message"}]},{"group":"WebRTC","pages":[{"title":"Get WebRTC connection token","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/voice/webrtc-token","href":"/api-reference/webrtc/get-webrtc-connection-token"}]},{"group":"Documents","pages":[{"title":"Upload a document (e.g. signed LOA)","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/caller-trust/documents","href":"/api-reference/documents/upload-a-document-eg-signed-loa"},{"title":"Get document status","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/caller-trust/documents/{id}","href":"/api-reference/documents/get-document-status"}]},{"group":"Reputation","pages":[{"title":"Get Number Reputation enrollment settings","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/caller-trust/reputation","href":"/api-reference/reputation/get-number-reputation-enrollment-settings"},{"title":"Enable Number Reputation monitoring","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/caller-trust/reputation","href":"/api-reference/reputation/enable-number-reputation-monitoring"},{"title":"Update reputation check frequency","deprecated":null,"version":null,"openapi":"/openapi.json patch /v1/caller-trust/reputation","href":"/api-reference/reputation/update-reputation-check-frequency"},{"title":"Disable Number Reputation monitoring","deprecated":null,"version":null,"openapi":"/openapi.json delete /v1/caller-trust/reputation","href":"/api-reference/reputation/disable-number-reputation-monitoring"},{"title":"List reputation scores for every enrolled number","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/caller-trust/reputation/numbers","href":"/api-reference/reputation/list-reputation-scores-for-every-enrolled-number"},{"title":"Enroll phone numbers in reputation monitoring","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/caller-trust/reputation/numbers","href":"/api-reference/reputation/enroll-phone-numbers-in-reputation-monitoring"},{"title":"Get reputation scores for a phone number","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/caller-trust/reputation/numbers/{phone}","href":"/api-reference/reputation/get-reputation-scores-for-a-phone-number"},{"title":"Disenroll a phone number from reputation monitoring","deprecated":null,"version":null,"openapi":"/openapi.json delete /v1/caller-trust/reputation/numbers/{phone}","href":"/api-reference/reputation/disenroll-a-phone-number-from-reputation-monitoring"}]},{"group":"Usage","pages":[{"title":"Current-month usage rollup","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/usage","href":"/api-reference/usage/current-month-usage-rollup"},{"title":"Voice usage stats","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/voice/usage","href":"/api-reference/usage/voice-usage-stats"},{"title":"Per-phone usage","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/voice/usage/{phoneId}","href":"/api-reference/usage/per-phone-usage"}]}]}]},"title":"Sign LOA + submit enterprise to carrier (by ID) - LumisReach","buildId":"dpl_cadrRc5H9XQiJQbDFN5mcYRs2PAj","deploymentId":"dpl_cadrRc5H9XQiJQbDFN5mcYRs2PAj","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-DKJwRUt2.js","utils-CWD_VS3u.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-oFjciODD.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-C76WsxC3.js","snippetPresets-DvPMxpX_.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CuNQfndH.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BVFpVUoF.js","shallow-t59Jg5Kr.js","getApiPlaygroundDisplay-C_JZ4amX.js","CodeSnippet-CLRDnx_h.js","CodeSnippets-C2myU4kc.js","Page-7TwLLapg.js","getPastedJson-B-JaVXw7.js","icon-BA-iDhH3.js","MethodPill-D4qZABFp.js","DuplicateIcon-THIDKO1O.js","createIcon-CYYJwgFd.js","DynamicMarkdown-UGQuxDKp.js","SectionHeading-jYELb23h.js","axios-vUo_bRtp.js","Markdown-DKsLa3wy.js","clsx-CefdjKz2.js","lib--scc4DXi.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-BaREnp3o.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-sgx_0XzF.js"]}